<?xml version='1.0' encoding='UTF-8' ?>
<!--
  ~ Copyright (c) 2016 Roman Nazarenko.
  ~
  ~  This program is free software: you can redistribute it and/or modify
  ~  it under the terms of the GNU Affero General Public License as
  ~  published by the Free Software Foundation, either version 3 of
  ~  the License, or (at your option) any later version.
  ~
  ~  This program is distributed in the hope that it will be useful,
  ~  but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~  GNU General Public License for more details.
  ~
  ~  You should have received a copy of the GNU General Public License
  ~  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:h="http://xmlns.jcp.org/jsf/html"
	  xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	  xmlns:f="http://xmlns.jcp.org/jsf/core">

<h:head>
	<ui:include src="/WEB-INF/jsf/include/title.xhtml"/>
	<ui:include src="/WEB-INF/jsf/include/imports.xhtml"/>
	<ui:include src="/WEB-INF/jsf/include/init.xhtml"/>
	<h:outputScript type="text/javascript" target="head" rendered="${not currentUser.logged}">
		$(function () {
			$('#photoImageId').bind('click', function (event) {
				<!--Because Internet Explorer cannot into inline JavaScript.-->
				if (!(!event.ctrlKey || !event.altKey)) {
					$('#magicalLoginFormId').modal('show');
				}
			});
		});
	</h:outputScript>
</h:head>
<h:body styleClass="pushable">
	<div class="pusher">
		<div class="ui container framed">
			<ui:include src="/WEB-INF/jsf/include/header.xhtml"/>
			<div class="ui centered two columns stackable grid">
				<div class="ui ten wide footer-margin column">
					<h:outputText value="${bioUtils.content}" escape="false"/>
					<p/>
					<div id="magicalLoginFormId" class="ui small modal">
						<i class="close icon"></i>
						<div class="header">
							Credentials
						</div>
						<h:panelGroup id="loginPanelId"
									  layout="block"
									  styleClass="ui content">
							<h:form styleClass="ui ${errorUtils.formClass(component)} form">
								<div class="field">
									<label>Login:</label>
									<h:inputText value="#{loginBean.login}"
												 required="true">
										<f:passThroughAttribute name="placeholder" value="Login"/>
									</h:inputText>
								</div>
								<div class="field">
									<label>Password:</label>
									<h:inputSecret value="#{loginBean.password}"
												   required="true">
										<f:passThroughAttribute name="placeholder" value="Password"/>
									</h:inputSecret>
								</div>
								<div class="ui error message">
									<div class="header">Error:</div>
									<h:messages showDetail="true" showSummary="false"/>
								</div>
								<h:commandButton styleClass="ui green button" value="Login"
												 action="#{loginBean.doLogin}">
									<f:ajax execute="@form"
											render=":loginPanelId"/>
								</h:commandButton>
								<div class="ui red deny button"
									 onclick="$('#magicalLoginFormId').modal('hide'); return false;">
									Cancel
								</div>
							</h:form>
						</h:panelGroup>
					</div>
				</div>
				<div class="ui four wide column">
					<ui:include src="/WEB-INF/jsf/include/owner-card.xhtml"/>
					<ui:include src="/WEB-INF/jsf/include/latest-posts.xhtml"/>
				</div>
			</div>
		</div>
		<ui:include src="/WEB-INF/jsf/include/footer.xhtml"/>
	</div>
</h:body>
</html>

